/*******************************************************************************
*
*	TITLE:		breaker_panel.h
*
*	VERSION:	1.1                           
*
*	DATE:		28-Nov-2004
*
*	AUTHOR:		IFI Robotics
*
*				R. Kevin Watson
*				kevinw@jpl.nasa.gov
*
*	COMMENTS:
*
********************************************************************************
*
*	CHANGE LOG:
*
*	DATE         REV  DESCRIPTION
*	-----------  ---  ----------------------------------------------------------
*	             1.0  IFI Robotics' original code
*	25-Jan-2005  1.1  RKW - moved breaker panel code from user_SerialDrv.c/.h
*	                  to breaker_panel.c/.h.
*
*******************************************************************************/
#ifndef __breaker_panel_h_
#define __breaker_panel_h_

typedef struct
{
  unsigned int  bit0:1;
  unsigned int  bit1:1;
  unsigned int  bit2:1;
  unsigned int  bit3:1;
  unsigned int  bit4:1;
  unsigned int  bit5:1;
  unsigned int  bit6:1;
  unsigned int  tripped:1;
} bitid;

/*******************************************************************************
* This stucture is used to pass data from the PC to the device driver.
*******************************************************************************/

typedef struct
{ 
  unsigned char  RX_SYNC1;    //Always 0xC9
  unsigned char  RX_SYNC2;    //Always 0x17
  union
  { 
    bitid bitselect;
    unsigned char allbits;    
  } data1Byte;
  unsigned char  data2;
  unsigned char  data3;
  unsigned char  data4;
} PANEL_INPUT_RECORD;

extern unsigned char aBreakerWasTripped;

unsigned char Breaker_Tripped(unsigned char);
void Handle_Panel_Data(unsigned char);

#endif
